{
  pkgs,
  # lib,
  # flake,
  # osConfig,
  ...
}:
# let
#   inherit (flake.config.machines.devices) mars deimos;
#   hostname = osConfig.networking.hostName;

#   sharedPaths = ''
#     ${pkgs.zoxide}/bin/zoxide add ~/projects/dotfiles
#     ${pkgs.zoxide}/bin/zoxide add ~/downloads
#     ${pkgs.zoxide}/bin/zoxide add ~/projects
#     ${pkgs.zoxide}/bin/zoxide add /mnt/media/ceres/jellyfin
#     ${pkgs.zoxide}/bin/zoxide add /mnt/media/ceres/comfyui
#   '';

#   desktopPaths = ''
#     ${pkgs.zoxide}/bin/zoxide add ~/projects/website
#     ${pkgs.zoxide}/bin/zoxide add ~/projects/workflowbuilder
#     ${pkgs.zoxide}/bin/zoxide add /mnt/media/storage
#   '';

#   zoxidePaths = {
#     home.activation.initZoxidePaths = lib.hm.dag.entryAfter [ "writeBoundary" ] (
#       if hostname == mars.name then
#         (sharedPaths + desktopPaths)
#       else if hostname == deimos.name then
#         sharedPaths
#       else
#         ""
#     );
#   };

# in
{
  programs.zoxide = {
    enable = true;
    enableNushellIntegration = true;
    package = pkgs.zoxide;
    options = [
    ];
  };
}
# // zoxidePaths
